com.h3c.of.lib.match

## Enum MatchType

- java.lang.Object
- - java.lang.Enum<MatchType>
  - - com.h3c.of.lib.match.MatchType

- All Implemented Interfaces:
    OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<MatchType>

      public enum MatchType
      extends Enum<MatchType>
      implements OfpCodeBasedEnum

  Denotes the different match types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OXM` OpenFlow Extensible Match; Since 1.2.
    `STANDARD` Standard match; Since 1.0; Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `static MatchType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MatchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STANDARD

          public static final MatchType STANDARD

      Standard match; Since 1.0; Deprecated.

      Although the "STANDARD" match was not explicitly defined until the 1.1 specification, it is implied in the 1.0 specification. Therefore we have encoded it here as "since 1.0".

    - #### OXM

          public static final MatchType OXM

      OpenFlow Extensible Match; Since 1.2.

  - ### Method Detail

    - #### values

          public static MatchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MatchType c : MatchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MatchType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

Copyright © 2014. All Rights Reserved.